org.apache.kylin.jdbc

## Class KylinJdbc41Factory.KylinJdbc41Statement

- java.lang.Object
- - net.hydromatic.avatica.AvaticaStatement
  - - org.apache.kylin.jdbc.KylinStatementImpl
    - - org.apache.kylin.jdbc.KylinJdbc41Factory.KylinJdbc41Statement

All Implemented Interfaces:
  AutoCloseable, Statement, Wrapper

Enclosing class:
  KylinJdbc41Factory

    public static class KylinJdbc41Factory.KylinJdbc41Statement
    extends KylinStatementImpl

Implementation of Statement for JDBC 4.1.

### Field Summary

### Fields inherited from class net.hydromatic.avatica.AvaticaStatement

`closed, closeOnCompletion, connection, maxRowCount, openResultSet`

### Fields inherited from interface java.sql.Statement

`CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

### Constructor Summary

Constructors
Constructor and Description
`KylinJdbc41Factory.KylinJdbc41Statement(net.hydromatic.avatica.AvaticaConnection connection, int resultSetType, int resultSetConcurrency, int resultSetHoldability)`

### Method Summary

### Methods inherited from class org.apache.kylin.jdbc.KylinStatementImpl

`close_`

### Methods inherited from class net.hydromatic.avatica.AvaticaStatement

`addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeInternal, executeQuery, executeQueryInternal, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getParameterValues, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, isWrapperFor, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### KylinJdbc41Factory.KylinJdbc41Statement

    public KylinJdbc41Factory.KylinJdbc41Statement(net.hydromatic.avatica.AvaticaConnection connection,
                                           int resultSetType,
                                           int resultSetConcurrency,
                                           int resultSetHoldability)